Subject: bug#12471: installed into trunk

From: Andy Moreton <[email-masked]>
Date: Sun, 23 Sep 2012 16:22:23 +0100

On Sun 23 Sep 2012, Paul Eggert wrote:

> As all the issues seem to be resolved
> I installed this into the trunk as bzr 110152
> and am marking this as done.

...and again breaks the Windows build.

This is with MinGW GCC 4.6.2.

gcc -I. -c -gdwarf-2 -g3  -DEMACSDEBUG -fno-crossjumping  -IC:/emacs/devel/libxml2-2.7.8/include/libxml2 -IC:/emacs/devel/giflib-4.1.4-1/include -IC:/emacs/devel/jpeg-6b-4/include -IC:/emacs/devel/tiff-3.8.2-1/include -IC:/emacs/devel/libpng-1.4.3-1/include -IC:/emacs/devel/xpm-3.5.1-1/include -IC:/emacs/devel/xpm-3.5.1-1/src/xpm/3.5.1/libXpm-3.5.1-src/lib -IC:/emacs/devel/zlib-1.2.5-2/include -Demacs=1 -I../lib -I../nt/inc -DHAVE_NTGUI=1 -DUSE_CRT_DLL=1 -o oo/i386/sysdep.o sysdep.c
sysdep.c: In function 'init_signals':
sysdep.c:1766:62: error: 'SA_NODEFER' undeclared (first use in this function)
sysdep.c:1766:62: note: each undeclared identifier is reported only once for each function it appears in
makefile:323: recipe for target 'oo/i386/sysdep.o' failed

It seems MinGW does not define SA_NODEFER at all.

   AndyM